Bug 15755 - Default item type is not marked as "All" in circulation rules
Summary: Default item type is not marked as "All" in circulation rules
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 15354
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-08 13:00 UTC by Jonathan Druart
Modified: 2017-06-14 22:07 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15755: Display default item type as "All" in circ rules (1.35 KB, patch)
2016-02-08 13:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15755: Display default item type as "All" in circ rules (1.41 KB, patch)
2016-03-02 08:38 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 15755: Display default item type as "All" in circ rules (1.48 KB, patch)
2016-03-03 06:38 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-02-08 13:00:19 UTC
Bug 15354 did not fix correctly the issue with the item type display.
The default item type '*' should be "All", at the moment nothing is displayed in the column.
Comment 1 Jonathan Druart 2016-02-08 13:02:39 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2016-03-02 08:38:25 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-03-03 06:38:47 UTC
Created attachment 48581 [details] [review]
[PASSED QA] Bug 15755: Display default item type as "All" in circ rules

Bug 15354 did not fix correctly the issue with the item type display.
The default item type '*' should be "All", at the moment nothing is
displayed in the column.

Test plan:
1/ Define a rule for default item types (All/*) and for specific item
types.
2/ Translate some item type descriptions used in previous step
3/ Default item type should be "All" and correct translations should be
displayed.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Brendan Gallagher 2016-03-03 22:25:27 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!
Comment 5 Julian Maurice 2016-03-07 10:09:14 UTC
Patch pushed to 3.22.x, will be in 3.22.5